#pragma once
#include "../includes.h"
#include "../config.h"
#include "scene_parser.h"
#include "../scene/scene_elements.h"

struct Block {
	string *type, *name;
	int line_start;
	Material* special_material;

	Block(string type, string name, int line_start);
	~Block();
};

void remove_block(vector<Block*>* stack);

list<string*>* scene_parse(SceneParser* parser,
	Camera* camera,
	Image* image,
	map<string,Material*>* materials, list<Object*>* objects, list<glLib::Object::object*>* loaded_objects, map<string,Light*>* lights,
	DT_COL background_color[3]);